source: n4d-samba/trunk/fuentes/debian/postinst @ 186

Last change on this file since 186 was 186, checked in by hectorgh, 4 years ago

adding project files

  • Property svn:executable set to *
File size: 1.3 KB
Line 
1#!/bin/sh
2# postinst script for n4d-ldap
3#
4# see: dh_installdeb(1)
5
6set -e
7
8# summary of how this script can be called:
9#        * <postinst> `configure' <most-recently-configured-version>
10#        * <old-postinst> `abort-upgrade' <new version>
11#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
12#          <new-version>
13#        * <postinst> `abort-remove'
14#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
15#          <failed-install-package> <version> `removing'
16#          <conflicting-package> <version>
17# for details, see http://www.debian.org/doc/debian-policy/ or
18# the debian-policy package
19
20
21case "$1" in
22    configure)
23
24        if dpkg --compare-versions "$2" lt 0.25.2; then
25                if [ -e '/var/lib/n4d/variables-dir/SRV_IP' ]; then
26                        cp /usr/share/n4d-samba/one-shots/add-roadmin-user.py /etc/n4d/one-shot/
27                fi
28        fi
29       
30        if dpkg --compare-versions "$2" lt 0.25.5; then
31                service smbd restart || true
32        fi
33
34
35        n4d-modules enable-plugin /etc/n4d/conf.d/SambaManager || true
36        n4d-modules enable-plugin /etc/n4d/conf.d/SambaSIDFixer || true
37       
38        ;;
39
40
41
42    abort-upgrade|abort-remove|abort-deconfigure)
43    ;;
44
45    *)
46        echo "postinst called with unknown argument \`$1'" >&2
47        exit 1
48    ;;
49esac
50
51# dh_installdeb will replace this with shell code automatically
52# generated by other debhelper scripts.
53
54#DEBHELPER#
55
56exit 0
Note: See TracBrowser for help on using the repository browser.